<?php
App::uses('Controller', 'Controller');
App::uses('CakeRequest', 'Network');
App::uses('CakeResponse', 'Network');
App::uses('ComponentCollection', 'Controller');
App::uses('ProductsComponent', 'EvShop.Controller/Component');

// A fake controller to test against
class ProdutsControllerTest extends Controller {

	public $paginate = null;
}


class ProductsComponentTest extends CakeTestCase {

	public $ProductsComponent = null;

	public $Controller = null;

	/**
	 * Fixtures
	 *
	 * @var array
	 */
	public $fixtures = array(
		'plugin.EvShop.product',
		'plugin.EvShop.brand',
		'plugin.EvShop.tax_level',
		'plugin.EvShop.variant',
		'plugin.EvShop.category',
		'plugin.EvShop.categories_product'
	);

	/**
	 * setUp method
	 *
	 * @return void
	 */
	public function setUp() {
		parent::setUp();
		// Setup our component and fake test controller
		$Collection = new ComponentCollection();
		$this->ProductsComponent = new ProductsComponent($Collection);
		$CakeRequest = new CakeRequest();
		$CakeResponse = new CakeResponse();
		$this->Controller = new PagematronControllerTest($CakeRequest, $CakeResponse);
		$this->ProductsComponent->initialize($this->Controller);
	}

	/**
	 * tearDown method
	 *
	 * @return void
	 */
	public function tearDown() {
		parent::tearDown();
		// Clean up after we're done
		unset($this->ProductsComponent);
		unset($this->Controller);
	}
}
